Subject: bug#30476: closed (Re: bug#30476: failing test-suite)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 16 Feb 2018 15:17:02 +0000

Your bug report

#30476: failing test-suite

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30476: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30476
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30476: failing test-suite
From: [email-masked] (Ludovic Courtès)
To: Martin Castillo <[email-masked]>
Cc: [email-masked]
Date: Fri, 16 Feb 2018 16:16:07 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Martin Castillo <[email-masked]> skribis:

> On 16.02.2018 14:00, Ludovic Courtès wrote:
>> Martin Castillo <[email-masked]> skribis:
>> 
>>> ++ guix build superseded -d
>>> accepted connection from pid 22991, user pi
>>> random seed for tests: 1518709083
>>> guix build: package 'superseded' has been superseded by 'bar'
>>> ++ guix build bar -d
>>> accepted connection from pid 23282, user pi
>>> random seed for tests: 1518709358
>>> + test /home/pi/code/guix/test-tmp/store/y6l76g4i1m2q0ckliw4941x4sa0wa24w-bar-9001.drv = ''
>>> + rm -rf t-guix-build-10577
>>> FAIL tests/guix-build.sh (exit status: 1)
>> 
>> This one looks fishy, I don’t see how it could happen (see
>> tests/guix-build.sh).  Is it reproducible?
>> 
>> You can run “make check TESTS=tests/guix-build.sh” to run just this
>> test.
>> 
>
> No, it is not reproducible.

OK, I’ll close the bug but do reopen it if it shows up again.

>>> In guix/scripts/package.scm:
>>>    250:34  5 (_ #<package [email-masked] gnu/packages/flashing-tools.s�> �)
>>> In srfi/srfi-1.scm:
>>>    466:18  4 (fold #<procedure 1c4a100 at guix/ui.scm:1158:8 (metri�> �)
>>> In guix/ui.scm:
>>>   1161:13  3 (_ _ 0)
>>>   1040:23  2 (texi->plain-text _)
>>> In texinfo.scm:
>>>   1131:22  1 (parse _)
>>>    966:36  0 (loop #<input: string 1c20038> (*fragment*) #<procedur�> �)
>>>
>>> texinfo.scm:966:36: In procedure loop:
>>> texinfo.scm:966:36: Throw to key `parser-error' with args `(#f "Unknown command" ifdtool)'.
>> 
>> This one was fixed in commit ec0f3d0a5bdc1f56308aeff5dabfbb3ab18b9810.
>> 
>
> May I ask, how these kind of errors slip in? Does the reviewer only look
> at the technical parts of patches?

Reviewers and contributors do their best I believe, but sometimes errors
slip through.  It’s rare though.

This particular issue would have been caught by ‘guix lint’.

Ludo’.

Subject: failing test-suite
From: Martin Castillo <[email-masked]>
To: [email-masked]
Date: Fri, 16 Feb 2018 01:02:53 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

on my raspberry pi, building from commit
7e0a6fac0b4ebffda322eff6e803363ee72a257a. the test-suite fails.

my current guix is from november or so.
the first log was created with -j 4.
the second with -j 1.

not sure, how critical the errors are. somehow i still can't read the
test-suite logs.